<template>
  <div>
    <h1>Personajes Futurama</h1>
    <!--Tabla de personajes-->
    <v-simple-table dark>
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left">Name</th>
            <th class="text-left">Calories</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="item in personajes" :key="item.Name">
            <td>{{ item.Name }}</td>
            <td>{{ item.Planet }}</td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
  </div>
</template>

<script>
import store from "../store/index.js";

export default {
  data: () => {
    return {
      //personajes: [],
    };
  },
  methods: {},
  created: () => {},
  computed: {
    personajes: () => {
      store.dispatch("getPersonajes");
      return store.state.personajes;
      //console.log("personajes, ", personajes);
    },
  },
};
</script>

<style>
</style>